<template>
  <div  class="side-choice p-2 bg-light text-dark rounded shadow"
        :style="style"
        :activated="activated"
        :other-activated="otherIsActivated">
    {{text || 'a'}}
  </div>
</template>

<script>
export default {
  name: 'side-choice',
  props: ['text', 'side', 'currentSide'],
  computed: {
    otherIsActivated () {
      return this.currentSide && this.currentSide !== this.side
    },
    activated () {
      return this.side === this.currentSide
    },
    style () {
      if (this.activated) {
        return { transform: `scale(1.2) translate(${this.horizontalMove}px, ${this.verticalMove}px) rotate(${this.rotation}deg)` }
      } else {
        return {}
      }
    },
    horizontalMove () {
      if (this.side === 'left') {
        return 10
      } else if (this.side === 'right') {
        return -10
      }
      return 0
    },
    verticalMove () {
      if (this.side === 'bottom') {
        return -10
      } else {
        return 10
      }
    },
    rotation () {
      if (this.side === 'left') {
        return -5
      } else if (this.side === 'right') {
        return 5
      } else {
        return 0
      }
    }
  }
}
</script>

<style scoped lang="scss">
.side-choice {
  width: fit-content;
  width: -moz-fit-content;
  transition: transform 200ms ease-in-out, opacity 100ms ease-in-out, background-color 400ms ease-in-out;

  &[activated] {
    background-color: var(--brain_main) !important;
  }

  &[other-activated] {
    opacity: 0;
  }
}
</style>
